Skip to main content
POST
/
api
/
v1
/
llm
/
vector_stores
/
{vector_store_id}
/
files
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.vectorStores.createFile({
    vectorStoreId: "vs_abc123",
    createVectorStoreFileRequest: {
      fileId: "file-abc123",
      attributes: {
        "category": "manual",
        "version": "2.0",
      },
    },
  });

  console.log(result);
}

run();
{
  "id": "file-abc123",
  "object": "vector_store.file",
  "usage_bytes": 0,
  "created_at": 1704067200,
  "vector_store_id": "vs_abc123",
  "status": "in_progress",
  "last_error": null,
  "chunking_strategy": {
    "type": "auto"
  },
  "attributes": {
    "category": "manual",
    "version": "2.0"
  }
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

vector_store_id
string
required

The ID of the vector store for which to create a File.

Body

application/json

Request body for creating a vector store file.

file_id
string
required

A File ID that the vector store should use. Useful for tools like file_search that can access files.

attributes
object

Set of 16 key-value pairs that can be attached to an object. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.

chunking_strategy
object

The chunking strategy used to chunk the file(s). If not set, will use the auto strategy.

Response

200 - application/json

OK

A list of files attached to a vector store.

id
string
required

The identifier, which can be referenced in API endpoints.

object
any
required

The object type, which is always 'vector_store.file'.

usage_bytes
integer
required

The total vector store usage in bytes. Note that this may be different from the original file size.

Required range: -9007199254740991 <= x <= 9007199254740991
created_at
integer
required

The Unix timestamp (in seconds) for when the vector store file was created.

Required range: -9007199254740991 <= x <= 9007199254740991
vector_store_id
string
required

The ID of the vector store that the File is attached to.

status
enum<string>
required

The status of the vector store file. 'in_progress' means currently processing, 'completed' indicates the file is ready for use, 'cancelled' means processing was cancelled, 'failed' means an error occurred.

Available options:
in_progress,
completed,
cancelled,
failed
last_error
object
required

The last error associated with this vector store file. Will be null if there are no errors.

chunking_strategy
object

The strategy used to chunk the file.

attributes
object

Set of 16 key-value pairs that can be attached to an object. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.